body{
	direction: rtl;
	position: relative;
	background-color: var(--body-back);
}
.searchCardFull_overlay {
    position: fixed;
    width: calc(100% + 5px);
    height: 100%;
    background: #0000007a;
    z-index: 34;
    margin: 0;
    padding: 0;
    top: 0;
    left: 0;
    transition: all .3s ease;
}
.hidden {
    opacity: 0;
    visibility: hidden;
}
.holder_search_card {
	font-family: IRANsans;
    position: relative;
    top: -50px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    z-index: 2;
    max-width: 1280px;
    margin: 20px auto;
}
.fixed_search__header{
	display: none;
}
.fixed_city_search .fixed_search__header {
    display: flex;
    position: sticky;
    top: 0;
    right: 0;
    margin-bottom: 15px;
    width: 100%;
    height: 50px;
    border-bottom: 1px solid var(--gray-light);
    flex-direction: row;
    align-items: center;
    gap: 10px;
    padding: 10px;
	background: var(--white);
	z-index: 50;
}
.fixed_city_search .fixed_search__header--title{
    font-weight: 600;
}
.fixed_city_search .fixed_search__header--icon {
    filter: invert(1);
    rotate: 90deg;
    width: 25px;
    height: 25px;
}
.page_headline {
    opacity: 0.8;
    position: absolute;
    bottom: 242px;
    right: 50%;
    transform: translate(50%, 50%);
    flex-direction: column;
    display: flex;
    align-items: flex-start;
    width: 90%;
    max-width: 1280px;
    gap: 5px;
    text-shadow: 0 0 3px var(--white);
}
.page_headline h1{
	font-size: large;
    color: var(--text-dark);
}
.page_title {
    display: flex;
    width: 100%;
    flex-direction: row;
    gap: 10px;
    margin: 0.5rem 0;
    align-items: center;
}
.page_title img{
	width: auto;
	height: 20px;
}
.page_title h1 , .page_title h2{
	font-size: large;
    color: var(--text-dark);
	font-weight: bold;
}
.search_card {
  width: 100%;
  border-radius: 0px;
  box-shadow: var(--shadow);
  background-color: var(--white);
  padding: 5px 20px 20px;
  display: flex;
  flex-direction: column;
}
.search_card__tabs {
	width: 100%;
	display: flex;
	gap: 20px;
	border-bottom: 1px solid var(--gray-light);
}
.search_card__tabs--item {
  display: flex;
  gap: 5px;
  padding: 10px 15px 10px;
  border-bottom: 2px solid transparent;
  align-items: center;
  cursor: pointer;
  transition: border .3s ease;
}
.search_card__tabs--item:hover {
  border-bottom: 2px solid var(--priymary-color-light);
}
.search_card__tabs .active {
    border-bottom: 2px solid var(--priymary-color);
    filter: var(--filter-priymary-color);
    font-weight: 500;
}
.search_card__tabs--item_icon {
  width: 20px;
  height: 20px;
}
.search_card__tabs--item_title{  

}
.search_card__inputs{
  width: 100%;
  margin-top: 20px;
  position: relative;
}
.search_card__inputs--hotel, .search_card__inputs--tour {
   	width: 100%;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: nowrap;
    transition: all .3s ease;
    max-height: fit-content;
    gap: 10px;
}
.search_card__error{
	color: var(--red);
	font-size: 14px;
	opacity: 1;
    transition: all .3s ease;
	max-height: 50px;
    display: flex;
}
.search_card__error.hide{
	opacity: 0;
	visibility: hidden;
	max-height: 0;
}
.search_card__holder_input {
  position: relative;
  width: 30%;
}
.search_card__inputs--tour .search_card__holder_input{
	width: 25%;
}
.search_card__holder_input--title {
    position: absolute;
    top: -12px;
    right: 10px;
    z-index: 1;
    background: var(--white);
    padding: 0 5px;
    font-size: 14px;
    color: var(--text-gray);
}
.search_card__parent_input_tour {
	width: 40%;
}
.search_card__holder_input_tour {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100% !important;
	border-radius: 3px;
}
.search_card__holder_input_tour .search_card__input {
  border-radius: 0 3px 3px 0;
  text-align: center;
  padding: 10px 15px 11px;
  border: 1px solid #eee;
  border-left: 0;
}
.search_card__holder_input_tour .search_card__input:hover {
	border: 1px solid var(--priymary-color);
	border-left: 0;
}
.search_card__holder_input_tour .search_card__input:focus {
  border-radius: 0 3px 0 0;
}
.search_card__holder_input_tour .search_card__input_target{
  border-radius: 3px 0 0 3px ;
  border: 1px solid #eee;
  border-right: 0;
}
.search_card__holder_input_tour .search_card__input_target:hover{
	border: 1px solid var(--priymary-color);
	border-right: 0;
}
.search_card__holder_input_tour .search_card__input_target:focus {
  border-radius: 3px 0 0 0;
}
.search_card__holder_input_tour .search_card__city_submenu{
  width: 50%;
}
.search_card__holder_input_tour .search_card__city_li {
	padding: 10px 5px;
}
.search_card__holder_input_tour .search_card__city_li:hover {
	padding: 10px 10px;
}
.target_city_ul{
  left: 0;
}
.start_city_ul{
  right: 0;
}
.search_card__city_ul .selected {
  background: #ebebeb;
  opacity: 0.5;
}
.search_card__city_ul .selected:hover{
  background: #ebebeb;
}
.search_card__icon_location {
  right: 5px;
  top: 9px !important;
}
.search_card__icon_switch {
    right: 50%;
    left: 50%;
    width: 25px !important;
    height: 25px !important;
    background: var(--white);
    border-radius: 50%;
    border: 1px solid var(--gray);
    z-index: 1;
    opacity: 1;
    padding: 5px;
    top: -12px !important;
    transform: translate(50%, 50%);
    transition: all .3s ease;
    cursor: pointer;
    filter: unset !important;
    box-shadow: 0 0 5px var(--gray);
}
.search_card__icon_switch:hover{
  /* border: 1px solid var(--gray-dark); */
}
.search_card__input {
    border-radius: 3px;
    border: 0;
    padding: 10px 20px 11px 45px;
    font-size: 0.9rem;
    width: 100%;
    font-weight: 700;
    height: 50px;
    /* background-color: #0e00ff07; */
    background-color: var(--white);
	border: 1px solid #eee;
    transition: all .3s ease;
    position: relative;
    cursor: pointer;
	font-family: inherit;
}
.search_card__input:hover {
    border: 1px solid var(--priymary-color);
}
.passengers .search_card__input:hover {
    /* border: 1px solid #eee; */
}

.search_card__input::placeholder {
    font-weight: 300;
}
.search_card__input:focus{
  outline: 0;
}
.search_card__icon {
    position: absolute;
    top: 10px;
    left: 10px;
    width: 30px;
    height: 30px;
	filter: var(--filter-priymary-color);
}
.search_card__select_city:focus {
  border-radius: 3px 3px 0 0;
}
/* .search_card__select_city:focus + .search_card__city_submenu{
  opacity: 1;
  visibility: visible;
} */
/* .search_card__select_city:focus + .search_card__city_submenu .search_card__city_ul{
  max-height: 300px;
  opacity: 1;
  visibility: visible;
} */
.overflow_hidden{
	overflow: hidden !important;
}
.search_card__holder_input_tour .search_card__select_city:focus + .search_card__city_submenu .search_card__city_ul{
	overflow: auto;
}
.search_card__holder_submit {
  position: relative;
  width: 50px;
  min-width: 50px;
  height: 50px;
  cursor: pointer;
}
.custom-loader {
    position: absolute;
    top: 10px;
    left: 10px;
    width: 30px;
    height: 30px;
    display: grid;
    animation: s4 4s infinite;
}
.custom-loader::before, .custom-loader::after {
    content: "";
    grid-area: 1 / 1;
    border: 5px solid;
    border-radius: 50%;
    border-color: #1F78FF #1F78FF #0000 #0000;
    mix-blend-mode: darken;
    animation: s4 1s infinite linear;
}
.custom-loader::after {
    border-color: #0000 #0000 #E4E4ED #E4E4ED;
    animation-direction: reverse;
}
.hidden {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}
@keyframes s4 {
	100% {
		transform: rotate(1turn);
	}
}
.search_card__city_submenu {
  position: absolute;
  background-color: var(--white);
  width: 100%;
  padding: 0;
  border-radius: 0 0 5px 5px;
  top: 55px;
  opacity: 0;
  visibility: hidden;
  transition: all .3s ease;
}
.search_card__city_ul{
  overflow: auto;
  max-height: 0px;
  opacity: 0;
  visibility: hidden;
  transition: all .3s ease;
  scrollbar-width: none;
  padding: 0;
}
.search_card__city_ul ul {
	padding: 0;
}
.showSubMenu{
	opacity: 1;
  	visibility: visible;
}
.openUlList{
  max-height: 300px;
  opacity: 1;
  visibility: visible;
}
.search_card__city_ul::-webkit-scrollbar{
  border-radius: 10px;
  display: none;
}
.search_card__city_ul::-webkit-scrollbar-thumb{
  border-radius: 10px;
  background-color: var(--light-blue-1);
}
.search_card__city_li {
    list-style: none;
    background-color: var(--white);
    padding: 10px;
    font-size: 0.84rem;
    text-wrap: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    font-weight: 700;
    transition: all .3s ease;
    color: #000;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    gap: 5px;
}
.search_card__city_li:last-child {
	border-bottom: 0;
}
.search_card__city_li:hover {
    background-color: var(--gray-bright);
    padding-right: 15px;
}
.search_card__submit {
	display: block;
	width: 100%;
	height: 100%;
	background: var(--priymary-color);
	outline: 0;
	border: 0;
	cursor: pointer;
	border-radius: 3px;
	transition: all .3s ease;
}
.search_card__holder_submit:hover .search_card__submit {
  background-color: var(--priymary-color-dark);
}
.search_card__submit_icon {
    position: absolute;
    left: 50%;
    top: 4px;
    right: 50%;
    transform: translate(50%, 50%);
    width: 21px;
    height: 21px;
	transition: all .2s ease;
}
.hidden_search_inputs {
    opacity: 0;
    visibility: hidden;
    top: 0;
    left: 0;
    position: absolute;
    overflow: hidden;
}
.search_icon_loader {
    top: -5px;
    transform: translate(50%, 50%);
    width: 30px;
    height: 30px;
    filter: invert(1) contrast(4);
    transition: all .1s ease;
}
.passengers__submenu {
    position: absolute;
    background: var(--white);
    top: 60px;
    right: 0;
    width: 100%;
	min-width: 228px;
    display: flex;
    border-radius: var(--radius-mediom);
    padding: 5px;
    flex-direction: column;
    gap: 10px;
    max-height: 0px;
    overflow: hidden;
    opacity: 0;
	visibility: hidden;
    transition: all .3s ease;
}
.showPassengersMenu {
	opacity: 1;
	visibility: visible;
	max-height: 400px;
}
.passengers__submenu--mobo_header{
	display: none;
}
.passengers__submenu_rooms {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
    max-height: 220px;
    overflow: auto;
    scrollbar-width: none;
}
.passengers__submenu_room {
    display: flex;
    flex-direction: column;
    gap: 10px;
    border: 1px solid var(--gray);
    padding: 10px;
    position: relative;
    transition: all .3s ease;
    max-height: 160px;
    opacity: 1;
}
.passengers__submenu_room--caption {
    display: flex;
    flex-direction: column;
}
.passengers__submenu_room--holder {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.passengers__submenu_room--title {
    margin-right: 5px;
    font-weight: 600;
    padding: 0 10px;
}
.passengers__submenu_room--name{

}
.passengers__submenu_room--desc {
    font-size: 14px;
    color: var(--text-gray);
}
.passengers__submenu_buttons {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}
.passengers__submenu_buttons--more, .passengers__submenu_buttons--less {
    height: 35px;
    width: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--tertiary-color-light);
    color: var(--text-blue);
    border-radius: var(--radius-big);
    border: 1px solid var(--priymary-color);
	transition: all .3s ease;
}
.passengers__submenu_buttons--more img, .passengers__submenu_buttons--less img {
    width: 20px;
    height: 20px;
    filter: var(--filter-priymary-color);
}
.passengers__submenu_buttons--more:hover, .passengers__submenu_buttons--less:hover {
    background: var(--priymary-color);
    color: var(--text-white);
    cursor: pointer;
}
.passengers__submenu_buttons--more:hover img, .passengers__submenu_buttons--less:hover img {
    filter: contrast(0) brightness(2);
}
.passengers__submenu_buttons--more:disabled, .passengers__submenu_buttons--less:disabled {
    cursor: no-drop;
    color: var(--text-blue);
    background: var(--tertiary-color-light);
    border: 1px solid var(--tertiary-color);
}
.passengers__submenu_buttons--more:disabled img, .passengers__submenu_buttons--less:disabled img {
    filter: var(--filter-priymary-color);
}
.passengers__submenu_buttons--count {
    width: 35px;
    text-align: center;
    font-weight: 500;
}
.passengers__submenu--add {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    color: var(--priymary-color);
    font-size: 14px;
    font-weight: 500;
    user-select: none;
    cursor: pointer;
	position: relative;
}
.passengers__submenu--add img {
    filter: var(--filter-secondary-color);
    width: 20px;
    height: 20px;
}

.passengers__submenu--add.after::after {
	content: "";
	position: absolute;
	bottom: 25px;
	right: 0;
	width: 100%;
	height: 50px;
	background: linear-gradient(to top , var(--white) , transparent);
	pointer-events: none;
}
.passengers__submenu--btn {
    background: var(--priymary-color);
    border: 0;
    border-radius: var(--radius-mediom);
    color: var(--text-white);
	transition: all .3s ease;
    height: 40px;
	font-family: inherit;
}
.passengers__submenu--btn:hover {
    background: var(--priymary-color-dark);
    cursor: pointer;
}
.passengers__submenu_room_del {
    position: absolute;
    background: var(--white);
    top: -23px;
    left: 5px;
    color: var(--red);
    display: flex;
    align-items: center;
    gap: 2px;
    font-size: 14px;
    padding: 0 10px;
	cursor: pointer;
}
.passengers__submenu_room_del img {
    width: 20px;
    height: 20px;
    filter: var(--filter-red);
}
.fixed_city_search_tour {
    position: fixed;
    width: 100%;
    height: 100%;
    background: #fff;
    z-index: 50;
    top: 0;
    right: 0;
    padding: 0px 10px 15px;
    overflow: auto;
    display: flex;
    align-items: flex-start;
    flex-direction: row;
    padding-top: 60px;
}
.fixed_city_search_tour .fixed_search__header {
    display: flex;
    position: fixed;
    top: 0;
    right: 0;
    margin-bottom: 15px;
    width: calc(100% - 20px);
	margin-right: 10px;
    height: 50px;
    border-bottom: 1px solid var(--gray-light);
    flex-direction: row;
    align-items: center;
    gap: 10px;
    background: var(--white);
    z-index: 50;
}
.fixed_city_search_tour .fixed_search__header--icon {
    filter: invert(1);
    rotate: 90deg;
    width: 25px;
    height: 25px;
}
.fixed_city_search_tour .search_card__icon {
    position: absolute;
    top: 70px !important;
	left: 15px;
}
.fixed_city_search_tour .search_card__icon_location {
    right: 15px;
}
.fixed_city_search_tour .search_card__icon_switch{
	top: 50px !important;
}
.fixed_city_search_tour .search_card__city_submenu {
    opacity: 1;
    visibility: visible;
    margin-top: 55px;
	padding: 0;
	width: 100%;
	right: 0;
	max-height: calc(100svh - 110px);
}
.fixed_city_search_tour .search_card__select_city:focus , .fixed_city_search_tour .search_card__select_city{
	border-radius: 10px;
}
.fixed_city_search_tour #tour_start_city{
	border-radius: 0px 5px 5px 0px;
}
.fixed_city_search_tour #tour_target_city{
	border-radius: 5px 0px 0px 5px;
}
.fixed_city_search_tour .search_card__city_submenu .search_card__city_ul , .fixed_city_search_tour .search_card__select_city:focus + .search_card__city_submenu .search_card__city_ul{
    max-height: calc(100svh - 110px);
    opacity: 1;
    visibility: visible;
}
.fixed_city_search_tour .search_card__city_ul{
	padding: 0px;
}
.fixed_city_search_tour .search_card__city_li{
	padding: 20px 10px;
}
.fixed_city_search_tour .search_card__city_ul .selected {
    background: unset;
    opacity: 0.5;
}
.fixed_city_search_tour .search_card__city_li:hover {
    background: #ebebeb;
	padding: 20px 10px;
}
.fixed_city_search_tour .search_card__input:hover {
    box-shadow: unset;
}
.fixed_city_search_tour .start_city_ul {
	z-index: 2;
}
.width_0_hidden{
	height: 0px !important;
	opacity: 0 !important;
	visibility: hidden !important;
	overflow: hidden;
}
.rotate_180{
	transform: translate(50%, 50%) rotate(180deg);
}
.priority_parent {
	display: none;
}
.priority_title {
    width: 100%;
    display: flex;
    font-size: 0.8rem;
    font-weight: 500;
    padding: 1px 5px;
    background-color: var(--tertiary-color);
    color: var(--priymary-color-light);
    align-items: center;
    margin: 5px 0;
}
.search_card__city_li--figure {
    border-radius: 5px;
    background: var(--gray-light);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 35px;
    height: 31px;
    padding: 5px;
}
.search_card__city_li span {
    width: calc(100% - 35px);
    text-overflow: ellipsis;
    overflow: hidden;
}
.search_card__city_li--hotel_count {
    width: 60px !important;
    text-align: left;
    font-size: 0.8rem;
    font-weight: 100;
    color: var(--gray-dark);
}
/* responce */

@media (max-width : 1280px){ 
    .search_card__inputs--tour .search_card__holder_input {
        width: 24% !important;
    }
    .search_card__inputs--tour .search_card__holder_input_tour {
        width: 100% !important;
    }
	.search_box_text--item {
    	width: calc(50% - 3px);
	}
}
@media (max-width : 992px){ 
    .search_card__inputs--tour .search_card__holder_input {
        width: 24%;
    }
    .search_card__inputs--tour .search_card__holder_input_tour {
        width: 41%;
    }
}
@media (max-width : 800px){
	.search_card__holder_input--title {
    	top: -10px;
	}
	.page_headline{
		opacity: 0;
		visibility: hidden;
	}
	.page_title h1, .page_title h2 {
		font-size: medium;
	}
    .search_card__holder_input {
        width: 100%;
    }
    .search_card__input {
        text-align: right;
    }
    .search_card__inputs--tour .search_card__holder_input , .search_card__parent_input_tour{
        width: 100% !important;
    }
    .search_card__inputs--tour .search_card__holder_input_tour {
        width: 100% !important;
    }
    .offered_tour__img img {
        height: 300px;
    }
    .search_card__holder_submit {
        width: 100%;
    }
    .search_card__submit {
        border-radius: 3px;
    }
    .search_card__city_submenu {
        z-index: 1;
    }
    .holder_search_card {
        top: -20px;
    }
	.search_card {
		/* height: 325px; */
    	width: 100%;
	}
    .search_card__inputs--hotel, .search_card__inputs--tour {
        gap: 10px;
        flex-direction: column;
		transition: all .5s ease;
    }
	.hidden_search_inputs {
		transform: scale(0.7);
		top: 0;
		width: 100%;
	}
	.search_card__tabs--item:hover {
        border-bottom: 2px solid var(--priymary-color);
    }
	.search_box_text {
        width: 85%;
    } .passengers__submenu {
		position: fixed;
		top: unset;
		bottom: -100%;
		padding: 10px;
		max-height: 100svh;
		height: 100svh;
		z-index: 1;
	}
	.passengers__submenu--mobo_header {
        display: flex;
        align-items: center;
        flex-direction: row;
        gap: 10px;
        font-size: 18px;
        font-weight: bold;
        border-bottom: 1px solid var(--gray);
		padding: 5px 0 15px;
    }
	.passengers__submenu--mobo_header img {
		width: 22px;
		height: 22px;
	}
	.passengers__submenu--btn {
        position: absolute;
        bottom: 10px;
        right: 10px;
        width: calc(100% - 20px);
        height: 50px;
    }
	.showPassengersMenu {
		opacity: 1;
		visibility: visible;
		bottom: 0;
	}
	.passengers__submenu_rooms {
		max-height: calc(100svh - 170px);
	}
	.search_card__city_li{
		padding: 20px 10px;
		border-bottom: 0;
		margin: 0;
	}
	.search_card__city_li:hover {
		padding-right: 15px;
	}
	.fixed_city_search .search_card__city_ul , .fixed_city_search .search_card__city_submenu {
		max-height: unset !important;
		border-radius: 0;
	}
	.priority_title {
        padding: 9px 10px;
        font-size: 0.9rem;
        width: 100%;
    }
	.search_card__city_ul , .search_card__city_submenu {
		width: 100% !important;
		max-height: 0;
	}
	.search_card__icon{
		transition: unset;
	}
	.fixed_city_search_tour .priority_parent {
        position: sticky;
        top: -1px;
        width: 100%;
        padding: 10px 0;
        background: var(--white);
        display: block;
        z-index: 1;
    }
}
@media (min-width : 600px) and (max-width : 800px){
	.search_card__inputs--hotel {
		display: grid;
        grid-template-columns: 1fr 1fr;
    }
	.search_card__inputs--tour {
		display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, 1fr);
        grid-column-gap: 10px;
        grid-row-gap: 10px;
    }
	.search_card__parent_input_tour{
		grid-area: 1 / 1 / 2 / 3;
	}
	.holder_search_card {
        top: -30px;
    }
	.search_card__input {
		font-size: 0.8rem;
	}
	.fixed_city_search .search_card__icon {
        top: 78px !important;
        width: 25px;
        height: 25px;
    }
	.fixed_city_search_tour .search_card__icon {
		top: 73px !important;
		width: 25px;
        height: 25px;
	}
	.fixed_city_search_tour .search_card__icon_switch {
        width: 30px !important;
        height: 30px !important;
        top: 55px !important;
    }
	.search_card__icon_location {
		top: 13px !important;
	}
	#tour_start_city{
		padding: 0 30px 0 25px;
		font-size: 0.7rem;
	}
	#tour_target_city{
		padding: 0 13px 0 30px;
		font-size: 0.7rem;
	}
	.search_card__icon_location {
        top: 10px !important;
    }
	.search_card__holder_submit , .search_card__inputs--tour .search_card__holder_input_tour {
        grid-column: 1 / -1;
    }
}
@media (max-width : 650px){	
	.search_box_text--item {
    	width: 100%;
	}
}
@media (max-width : 599px) {
	.search_card__inputs--hotel{
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		grid-template-rows: repeat(4, 1fr);
		grid-column-gap: 10px;
		grid-row-gap: 10px;
	}
	#fixed_city_search {
		grid-area: 1 / 1 / 2 / 3;
	}
	.search_card__holder_input:nth-child(3) {
		grid-area: 2 / 1 / 3 / 2;
	}
	.search_card__holder_input:nth-child(4) {
		grid-area: 2 / 2 / 3 / 3;
	}
	.search_card__holder_input.passengers {
		grid-area: 3 / 1 / 4 / 3;
	}
	.search_card__holder_submit {
		grid-area: 4 / 1 / 5 / 3;
	}
} 
@media (max-width : 400px){ 
	
    .search_card__holder_input_tour .search_card__input {
        font-size: 0.8rem;
        padding: 10px 25px 11px 10px;
    }
    #tour_target_city {
        padding: 10px 0px 11px 20px;
    }